Age Verification
Finding a person's date of birth based on their full name and residential address.
POST /v1/IdentityVerification/AgeVerification
Parameters
Name In Type Required Description
ageLimitquery integer / int32 optional This field is used to verify whether the age of the person is below the specified age entered in this field.
The result will be included in the response as a field named "isBelowAgeLimit", indicating whether the condition is met. traceIdquery string optional A string provided by a programmer and echoed back unchanged in the response, designed to facilitate easier tracking of requests and responses.
Request body optional (8) Name Type Required Description firstNamestring optional lastNamestring optional middleNamestring optional addressLine1string optional addressCitystring optional addressPostalCodestring optional addressStatestring optional dateOfBirthstring optional
Code sample language
curl C# Python JavaScript
curl -X POST "{{API.SANDBOX_BASE_URL}}/IdentityVerification/AgeVerification" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"firstName": "string",
"lastName": "string",
"middleName": "string",
"addressLine1": "string",
"addressCity": "string",
"addressPostalCode": "string",
"addressState": "string",
"dateOfBirth": "string"
}'using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var content = new StringContent(@"{
""firstName"": ""string"",
""lastName"": ""string"",
""middleName"": ""string"",
""addressLine1"": ""string"",
""addressCity"": ""string"",
""addressPostalCode"": ""string"",
""addressState"": ""string"",
""dateOfBirth"": ""string""
}", System.Text.Encoding.UTF8, "application/json");
var response = await client.PostAsync("{{API.SANDBOX_BASE_URL}}/IdentityVerification/AgeVerification", content);
var result = await response.Content.ReadAsStringAsync();import requests
headers = {"x-api-key": "YOUR_API_KEY"}
payload = {
"firstName": "string",
"lastName": "string",
"middleName": "string",
"addressLine1": "string",
"addressCity": "string",
"addressPostalCode": "string",
"addressState": "string",
"dateOfBirth": "string"
}
response = requests.post("{{API.SANDBOX_BASE_URL}}/IdentityVerification/AgeVerification", headers=headers, json=payload)
print(response.json())const response = await fetch("{{API.SANDBOX_BASE_URL}}/IdentityVerification/AgeVerification", {
method: "POST",
headers: { "x-api-key": "YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"firstName": "string",
"lastName": "string",
"middleName": "string",
"addressLine1": "string",
"addressCity": "string",
"addressPostalCode": "string",
"addressState": "string",
"dateOfBirth": "string"
})
});
const result = await response.json();
Responses